# phpDox - PDO::prepare

# PDO::prepare

#### Prepares a statement for execution and returns a statement object

Prepares an SQL statement to be executed by the PDOStatement::execute method. The statement template can contain zero or more named (:name) or question mark (?) parameter markers for which real values will be substituted when the statement is executed. Both named and question mark parameter markers cannot be used within the same statement template; only one or the other parameter style. Use these parameters to bind any user-input, do not include the user-input directly in the query.

## Signature

`public function prepare(string $statement, $driver_options )`

## Parameters

`$statement` — string
`$driver_options` —

## Returns

PDOStatement